Subject: FTP doesn't time out on ftp.ciril.fr

From: Ian Dunn <[email-masked]>
Date: Sun, 28 May 2017 15:53:06 -0400

Some of the perl links from cpan aren't up to date, so guix will try to cycle through its mirrors.  The problem is that the second one is ftp.ciril.fr, which doesn't time out (or if it does, not for at least 30 minutes).

For example, here's the result of "guix build perl-datetime":

Starting download of /gnu/store/mc2xj0cga6a25zv2f73hbm44y1kyxa5y-DateTime-1.18.tar.gz
From http://mirror.ibcp.fr/pub/CPAN/authors/id/D/DR/DROLSKY/DateTime-1.18.tar.gz...
ERROR: download failed "http://mirror.ibcp.fr/pub/CPAN/authors/id/D/DR/DROLSKY/DateTime-1.18.tar.gz" 404 "Not Found"

Starting download of /gnu/store/mc2xj0cga6a25zv2f73hbm44y1kyxa5y-DateTime-1.18.tar.gz
From ftp://ftp.ciril.fr/pub/cpan/authors/id/D/DR/DROLSKY/DateTime-1.18.tar.gz...

And it hangs for longer than I've ever let it run (I think the longest I've seen it sit there is 30 minutes).  Is there a way to specify the timeout in guix?

-- 
Ian Dunn